Download it now!
Bug 92287 - LibreLogo icons aren't theme based
Summary: LibreLogo icons aren't theme based
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: UI-Theming LibreLogo Icon-Themes-Code
  Show dependency treegraph
 
Reported: 2015-06-23 22:21 UTC by Yousuf Philips (jay) (retired)
Modified: 2020-09-06 11:59 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-06-23 22:21:51 UTC
The LibreLogo toolbar in Writer has icons that are stored in librelogo/source/icons/ and as such dont change when a user changes their icon theme. The breeze author would like to create icons for these and needs a fix in order to do so.
Comment 1 tommy27 2015-06-24 03:48:26 UTC
I confirm issue and add Lazlo to CC list. maybe he can help with the code of the LibreLogo.
Comment 2 László Németh 2015-06-29 22:59:14 UTC
Unfortunately, the Logo toolbar is implemented as an addon toolbar, resulting other problems too, for example Bug 72438 (LibreLogo: icons in Logo toolbar replaced by text only).

The recent Logo icon set was an ad hoc selection from the existing icons of LibreOffice, so I would be glad to replace them with the better Breeze ones temporarily, while we don't support multiple icon sets here.
Comment 3 andreas_k 2015-07-01 22:12:38 UTC
https://gerrit.libreoffice.org/#/c/16675/

I tested large and small toolbar but the Logo toolbar always use the large icons. In the icon folder there were sc_ and lc_ files so it should be possible to use the lc_ files for large toolbar and sc_ for small toolbar.

hope you like the icons.

Andreas
Comment 4 Commit Notification 2015-07-02 08:06:18 UTC
andreask committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48ecae47a5d1911296549fd31378ff07b402d2ab

Related: tdf#92287 Breeze: change LogoToolbar icons into breeze icons

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-07-02 09:13:20 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=721ffdf6f6d163885aa2612a65b8231504a14b2b

Revert "Related: tdf#92287 Breeze: change LogoToolbar icons into breeze icons"

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-07-02 09:18:08 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c74ac32544c2be241e5a5ce4de01dc0bd3b6cde9

tdf#92287: Store the Breeze icons for LibreLogo in a subdir.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-07-03 01:33:13 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9583020ae4d20c1cccbe5157f51512cbb5c5d494

Related: tdf#92287 Add LibreLogo Tango icons for future use

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2016-09-15 22:09:38 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 9 Julien Nabet 2016-11-27 20:26:16 UTC
(In reply to Xisco Faulí from comment #8)
> Hello,
> Is this bug fixed?
> If so, could you please close it as RESOLVED FIXED?

Now we have specific Tango and Breeze icons, let's put this one FIXED even if there'll still be icons directly in librelogo/source/icons.

Yousuf: if you disagree, don't hesitate to reopen this tracker of course! :-)
Comment 10 Yousuf Philips (jay) (retired) 2016-11-28 12:22:12 UTC
(In reply to Julien Nabet from comment #9)
> Now we have specific Tango and Breeze icons, let's put this one FIXED even
> if there'll still be icons directly in librelogo/source/icons.

The icons are now there, but a dev needs to commit code to have the toolbar use these icons based on the user's assigned theme.
Comment 11 QA Administrators 2017-11-30 06:26:49 UTC Comment hidden (obsolete, spam)
Comment 12 Rizal Muttaqin 2020-03-06 08:01:14 UTC
(In reply to László Németh from comment #2)
> Unfortunately, the Logo toolbar is implemented as an addon toolbar,
> resulting other problems too, for example Bug 72438 (LibreLogo: icons in
> Logo toolbar replaced by text only).

So it's much harder to replace an addon toolbar? This toolbar so looked out of place now with many more icons in the core
Comment 13 Maxim Monastirsky 2020-08-20 15:22:03 UTC
https://gerrit.libreoffice.org/c/core/+/101078
Comment 14 Commit Notification 2020-08-25 07:43:53 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/100fa70da3c4692d8cabd991a0fc3cda686fbdd4

tdf#92287 Make LibreLogo icons theme based

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Adolfo Jayme 2020-09-06 11:59:58 UTC
Thanks, Maxim! Great feature. Theme icons were added separately by Rizal in bug 136454.